> ## Documentation Index
> Fetch the complete documentation index at: https://docs.4r.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Domain

> Verify DNS configuration for a custom domain

## Path Parameters

<ParamField path="id" type="string" required>
  Domain ID
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://snip.sa/api/domains/507f1f77bcf86cd799439015/verify \
    -H "X-API-Key: your_api_key_here"
  ```

  ```javascript JavaScript theme={null}
  const response = await axios.post(
    'https://snip.sa/api/domains/507f1f77bcf86cd799439015/verify',
    {},
    {
      headers: { 'X-API-Key': 'your_api_key_here' }
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "message": "Domain verified successfully",
    "data": {
      "domain": {
        "_id": "507f1f77bcf86cd799439015",
        "fullDomain": "go.yourdomain.com",
        "status": "active",
        "verified": true
      }
    }
  }
  ```
</ResponseExample>
